Package org.kapott.hbci.sepa.jaxb.camt_052_001_01

## Class StructuredRemittanceInformation6

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_01.StructuredRemittanceInformation6

    public class StructuredRemittanceInformation6
    extends java.lang.Object

Java class for StructuredRemittanceInformation6 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="StructuredRemittanceInformation6">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="RfrdDocInf" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}ReferredDocumentInformation1" minOccurs="0"/>
             <element name="RfrdDocRltdDt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}ISODate" minOccurs="0"/>
             <element name="RfrdDocAmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}ReferredDocumentAmount1Choice" maxOccurs="unbounded" minOccurs="0"/>
             <element name="CdtrRefInf" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}CreditorReferenceInformation1" minOccurs="0"/>
             <element name="Invcr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}PartyIdentification8" minOccurs="0"/>
             <element name="Invcee" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}PartyIdentification8" minOccurs="0"/>
             <element name="AddtlRmtInf" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}Max140Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `addtlRmtInf`
`protected CreditorReferenceInformation1` `cdtrRefInf`
`protected PartyIdentification8` `invcee`
`protected PartyIdentification8` `invcr`
`protected java.util.List<ReferredDocumentAmount1Choice>` `rfrdDocAmt`
`protected ReferredDocumentInformation1` `rfrdDocInf`
`protected javax.xml.datatype.XMLGregorianCalendar` `rfrdDocRltdDt`

### Constructor Summary

Constructors
`StructuredRemittanceInformation6()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAddtlRmtInf()` Gets the value of the addtlRmtInf property.
`CreditorReferenceInformation1` `getCdtrRefInf()` Gets the value of the cdtrRefInf property.
`PartyIdentification8` `getInvcee()` Gets the value of the invcee property.
`PartyIdentification8` `getInvcr()` Gets the value of the invcr property.
`java.util.List<ReferredDocumentAmount1Choice>` `getRfrdDocAmt()` Gets the value of the rfrdDocAmt property.
`ReferredDocumentInformation1` `getRfrdDocInf()` Gets the value of the rfrdDocInf property.
`javax.xml.datatype.XMLGregorianCalendar` `getRfrdDocRltdDt()` Gets the value of the rfrdDocRltdDt property.
`void` `setAddtlRmtInf​(java.lang.String value)` Sets the value of the addtlRmtInf property.
`void` `setCdtrRefInf​(CreditorReferenceInformation1 value)` Sets the value of the cdtrRefInf property.
`void` `setInvcee​(PartyIdentification8 value)` Sets the value of the invcee property.
`void` `setInvcr​(PartyIdentification8 value)` Sets the value of the invcr property.
`void` `setRfrdDocInf​(ReferredDocumentInformation1 value)` Sets the value of the rfrdDocInf property.
`void` `setRfrdDocRltdDt​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the rfrdDocRltdDt property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### rfrdDocInf

    protected ReferredDocumentInformation1 rfrdDocInf

#### rfrdDocRltdDt

    protected javax.xml.datatype.XMLGregorianCalendar rfrdDocRltdDt

#### rfrdDocAmt

    protected java.util.List<ReferredDocumentAmount1Choice> rfrdDocAmt

#### cdtrRefInf

    protected CreditorReferenceInformation1 cdtrRefInf

#### invcr

    protected PartyIdentification8 invcr

#### invcee

    protected PartyIdentification8 invcee

#### addtlRmtInf

    protected java.lang.String addtlRmtInf

### Constructor Detail

#### StructuredRemittanceInformation6

    public StructuredRemittanceInformation6()

### Method Detail

#### getRfrdDocInf

    public ReferredDocumentInformation1 getRfrdDocInf()

Gets the value of the rfrdDocInf property.

Returns:
  possible object is `ReferredDocumentInformation1`

#### setRfrdDocInf

    public void setRfrdDocInf​(ReferredDocumentInformation1 value)

Sets the value of the rfrdDocInf property.

Parameters:
  `value` - allowed object is `ReferredDocumentInformation1`

#### getRfrdDocRltdDt

    public javax.xml.datatype.XMLGregorianCalendar getRfrdDocRltdDt()

Gets the value of the rfrdDocRltdDt property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setRfrdDocRltdDt

    public void setRfrdDocRltdDt​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the rfrdDocRltdDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

#### getRfrdDocAmt

    public java.util.List<ReferredDocumentAmount1Choice> getRfrdDocAmt()

Gets the value of the rfrdDocAmt property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the rfrdDocAmt property.

For example, to add a new item, do as follows:

        getRfrdDocAmt().add(newItem);

Objects of the following type(s) are allowed in the list `ReferredDocumentAmount1Choice`

#### getCdtrRefInf

    public CreditorReferenceInformation1 getCdtrRefInf()

Gets the value of the cdtrRefInf property.

Returns:
  possible object is `CreditorReferenceInformation1`

#### setCdtrRefInf

    public void setCdtrRefInf​(CreditorReferenceInformation1 value)

Sets the value of the cdtrRefInf property.

Parameters:
  `value` - allowed object is `CreditorReferenceInformation1`

#### getInvcr

    public PartyIdentification8 getInvcr()

Gets the value of the invcr property.

Returns:
  possible object is `PartyIdentification8`

#### setInvcr

    public void setInvcr​(PartyIdentification8 value)

Sets the value of the invcr property.

Parameters:
  `value` - allowed object is `PartyIdentification8`

#### getInvcee

    public PartyIdentification8 getInvcee()

Gets the value of the invcee property.

Returns:
  possible object is `PartyIdentification8`

#### setInvcee

    public void setInvcee​(PartyIdentification8 value)

Sets the value of the invcee property.

Parameters:
  `value` - allowed object is `PartyIdentification8`

#### getAddtlRmtInf

    public java.lang.String getAddtlRmtInf()

Gets the value of the addtlRmtInf property.

Returns:
  possible object is `String`

#### setAddtlRmtInf

    public void setAddtlRmtInf​(java.lang.String value)

Sets the value of the addtlRmtInf property.

Parameters:
  `value` - allowed object is `String`